### Method

# Ide Toolchain set_host_triplet

#### Declaration

    void
    ide_toolchain_set_host_triplet (
      IdeToolchain* self,
      IdeTriplet* host_triplet
    )

#### Description

Sets the host system of the toolchain.

Available since: | 3.32

Sets property | `Ide.Toolchain:host-triplet`

#### Parameters

`host_triplet` | `IdeTriplet`
| An `IdeTriplet` representing the host architecture of the toolchain.
| The data is owned by the caller of the function.